For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-docs.hindsiteind.com/hindsite-api/assets/llms.txt. For full documentation content, see https://api-docs.hindsiteind.com/hindsite-api/assets/llms-full.txt.

# Post V 2 Assets Search

POST https://app.hindsiteind.com/api/v2/assets/search
Content-Type: application/json

Reference: https://api-docs.hindsiteind.com/hindsite-api/assets/post-v-2-assets-search

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /v2/assets/search:
    post:
      operationId: post-v-2-assets-search
      summary: Post V 2 Assets Search
      tags:
        - subpackage_assets
      parameters:
        - name: Authorization
          in: header
          description: >-
            OAuth 2.0 Client Credentials Flow. To obtain an access token:


            1. Request API credentials from HINDSITE support to receive your
            `client_id` and `client_secret`


            2. Make a POST request to obtain an access token:

            ```

            POST https://app.hindsiteind.com/oauth/token

            Content-Type: application/x-www-form-urlencoded


            grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

            ```


            3. The response will contain your access token:

            ```json

            {
              "access_token": "your_access_token_here",
              "token_type": "Bearer",
              "expires_in": 7200,
              "created_at": 1234567890
            }

            ```


            4. Include the token in subsequent API requests:

            ```

            Authorization: Bearer your_access_token_here

            ```
          required: true
          schema:
            type: string
      responses:
        '201':
          description: created Search
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/assets_postV2AssetsSearch_Response_201'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/postV2AssetsSearch'
servers:
  - url: https://app.hindsiteind.com/api
components:
  schemas:
    postV2AssetsSearch:
      type: object
      properties:
        search:
          type: string
        location_ids:
          type: array
          items:
            type: string
        page:
          type: integer
      title: postV2AssetsSearch
    CustomFieldValue:
      type: object
      properties:
        id:
          type: string
          description: ULID
        custom_field_definition_id:
          type: string
          description: ULID
        name:
          type: string
        value:
          type: string
      title: CustomFieldValue
    Location:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        address:
          type: string
        company_id:
          type: string
          description: ULID
        company_name:
          type: string
        archived:
          type: boolean
        external_id:
          type: string
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        can_manage:
          type: boolean
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Location
    MakeDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: MakeDetail
    ManufacturerDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: ManufacturerDetail
    ModelDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: ModelDetail
    User:
      type: object
      properties:
        id:
          type: string
          description: ULID
        email:
          type: string
        name:
          type: string
        is_admin:
          type: boolean
        location_manager:
          type: boolean
        last_active_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        archived:
          type: boolean
        organisation_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: User
    AssetStatus:
      type: object
      properties:
        id:
          type: string
          description: ULID
        description:
          type: string
        downtime_type:
          type: string
        status_name:
          type: string
        status_type:
          type: string
        normalised_status_name:
          type: string
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        user:
          $ref: '#/components/schemas/User'
      title: AssetStatus
    CustomFieldDefinition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        customisable_entity_name:
          type: string
        field_type:
          type: string
        required:
          type: boolean
        options:
          description: Any type
        sort_order:
          type: integer
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: CustomFieldDefinition
    Asset:
      type: object
      properties:
        id:
          type: string
          description: ULID
        identifier:
          type: string
        serial:
          type: string
        location_id:
          type: string
          description: ULID
        parent_id:
          type: string
          description: ULID
        manufacturer_detail_id:
          type: string
          description: ULID
        make_detail_id:
          type: string
          description: ULID
        model_detail_id:
          type: string
          description: ULID
        editable:
          type: boolean
        location:
          $ref: '#/components/schemas/Location'
        make_detail:
          $ref: '#/components/schemas/MakeDetail'
        manufacturer_detail:
          $ref: '#/components/schemas/ManufacturerDetail'
        model_detail:
          $ref: '#/components/schemas/ModelDetail'
        status:
          $ref: '#/components/schemas/AssetStatus'
        parent:
          $ref: '#/components/schemas/Asset'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        custom_field_definitions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDefinition'
        related_assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Asset
    assets_postV2AssetsSearch_Response_201:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        next_page:
          type: integer
          description: Next page number, or null if no more pages
      title: assets_postV2AssetsSearch_Response_201
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 Client Credentials Flow. To obtain an access token:


        1. Request API credentials from HINDSITE support to receive your
        `client_id` and `client_secret`


        2. Make a POST request to obtain an access token:

        ```

        POST https://app.hindsiteind.com/oauth/token

        Content-Type: application/x-www-form-urlencoded


        grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

        ```


        3. The response will contain your access token:

        ```json

        {
          "access_token": "your_access_token_here",
          "token_type": "Bearer",
          "expires_in": 7200,
          "created_at": 1234567890
        }

        ```


        4. Include the token in subsequent API requests:

        ```

        Authorization: Bearer your_access_token_here

        ```

```

## SDK Code Examples

```python
import requests

url = "https://app.hindsiteind.com/api/v2/assets/search"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/assets/search';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/assets/search"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/assets/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.hindsiteind.com/api/v2/assets/search")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.hindsiteind.com/api/v2/assets/search', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/assets/search");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/assets/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```